/**********************************************************************
 * File:        Index_Info.sql
 * Type:        SQL*Plus script
 * Author:      Dan Hotka
 * Date:        04-16-2009
 *
 * Description:
 *      SQL*Plus script to display Index Statistics in relation to clustering factor
 *      Script originated from Jonathan Lewis bug I have heavily modified it
 * Modifications:
 *	
 *********************************************************************/

set pagesize 30
set linesize 300
spool index_info.txt

ttitle 'Index Status USED in Index Monitoring'

SELECT i.table_name, i.index_name, t.num_rows, t.blocks, i.leaf_blocks, i.clustering_factor, 
case when nvl(i.clustering_factor,0) = 0                       then 'No Stats'
     when nvl(t.num_rows,0) = 0                                then 'No Stats'
     when (i.clustering_factor / t.num_rows) * 100 < 6  then 'Excellent    '
     when (i.clustering_factor / t.num_rows) * 100 between 6 and 11 then 'Good'
     when (i.clustering_factor / t.num_rows) * 100 between 12 and 21 then 'Fair'
     else                                                           'Poor' 
     end  Index_Quality,
i.avg_data_blocks_per_key, i.avg_leaf_blocks_per_key, 
to_char(o.created,'MM/DD/YYYY HH24:MI:SSSSS') Created
from user_indexes i, user_objects o, user_tables t
where i.index_name = o.object_name
  and i.table_name = t.table_name
  and t.table_name in (select table_name from v$object_usage where used = 'YES')
order by 1;

ttitle 'Index Status NOT USED in Index Monitoring'

SELECT i.table_name, i.index_name, t.num_rows, t.blocks, i.leaf_blocks, i.clustering_factor, 
case when nvl(i.clustering_factor,0) = 0                       then 'No Stats'
     when nvl(t.num_rows,0) = 0                                then 'No Stats'
     when (i.clustering_factor / t.num_rows) * 100 < 6  then 'Excellent    '
     when (i.clustering_factor / t.num_rows) * 100 between 6 and 11 then 'Good'
     when (i.clustering_factor / t.num_rows) * 100 between 12 and 21 then 'Fair'
     else                                                           'Poor' 
     end  Index_Quality,
i.avg_data_blocks_per_key, i.avg_leaf_blocks_per_key, 
to_char(o.created,'MM/DD/YYYY HH24:MI:SSSSS') Created
from user_indexes i, user_objects o, user_tables t
where i.index_name = o.object_name
  and i.table_name = t.table_name
  and t.table_name in (select table_name from v$object_usage where used = 'NO')
order by 1;

spool off

