SET DEF ON ECHO ON TERM ON LIN 2000 TRIMS ON SERVEROUT ON SIZE 1000000 TIM OFF SQLP SQL>;
SPO sqlt_s5655_ORA11R1_DANXP_setenv.log;
REM
REM $Header: 215187.1 sqlt_s5655_ORA11R1_DANXP_setenv.sql 11.2.9.8 2009/09/22 csierra $
REM
REM Copyright (c) 2000-2009, Oracle Corporation. All rights reserved.
REM
REM SCRIPT
REM   sqlt_s5655_ORA11R1_DANXP_setenv.sql
REM
REM DESCRIPTION
REM   This script is generated by the SQLT, and it contains the
REM   commands to set the optimzer environment in your test case system prior
REM   to the execution of the SQLT or the SQL being tested.
REM
REM PARAMETERS
REM   None.
REM
REM EXAMPLE
REM   SQL> start sqlt_s5655_ORA11R1_DANXP_setenv.sql;
REM
REM NOTES
REM   1. Review and edit before execution.
REM   2. Should be run as the test case or the application schema owner.
REM

/*************************************************************************************/
--  Customization - Begin
/*************************************************************************************/

-- Optimizer Features Enable
ALTER SESSION SET optimizer_features_enable = '11.1.0.6';

-- Initialization Parameters
ALTER SESSION SET optimizer_mode_hinted = false;
ALTER SESSION SET optimizer_features_hinted = '0.0.0';
ALTER SESSION SET parallel_execution_enabled = true;
ALTER SESSION SET parallel_query_forced_dop = 0;
ALTER SESSION SET parallel_dml_forced_dop = 0;
ALTER SESSION SET parallel_ddl_forced_degree = 0;
ALTER SESSION SET parallel_ddl_forced_instances = 0;
ALTER SESSION SET "_query_rewrite_fudge" = 90;
ALTER SESSION SET optimizer_features_enable = '11.1.0.6';
ALTER SESSION SET "_optimizer_search_limit" = 5;
ALTER SESSION SET cpu_count = 2;
ALTER SESSION SET active_instance_count = 1;
ALTER SESSION SET parallel_threads_per_cpu = 2;
ALTER SESSION SET hash_area_size = 131072;
ALTER SESSION SET bitmap_merge_area_size = 1048576;
ALTER SESSION SET sort_area_size = 65536;
ALTER SESSION SET sort_area_retained_size = 0;
ALTER SESSION SET "_sort_elimination_cost_ratio" = 0;
ALTER SESSION SET "_optimizer_block_size" = 8192;
ALTER SESSION SET "_sort_multiblock_read_count" = 2;
ALTER SESSION SET "_hash_multiblock_io_count" = 0;
ALTER SESSION SET "_db_file_optimizer_read_count" = 8;
ALTER SESSION SET "_optimizer_max_permutations" = 2000;
-- skip name:"pga_aggregate_target" value:"262144 KB"
-- skip name:"_pga_max_size" value:"204800 KB"
ALTER SESSION SET "_query_rewrite_maxdisjunct" = 257;
-- skip name:"_smm_auto_min_io_size" value:"56 KB"
-- skip name:"_smm_auto_max_io_size" value:"248 KB"
-- skip name:"_smm_min_size" value:"262 KB"
-- skip name:"_smm_max_size" value:"52428 KB"
-- skip name:"_smm_px_max_size" value:"131072 KB"
ALTER SESSION SET "_cpu_to_io" = 0;
ALTER SESSION SET "_optimizer_undo_cost_change" = '11.1.0.6';
ALTER SESSION SET parallel_query_mode = 'enabled';
ALTER SESSION SET parallel_dml_mode = 'disabled';
ALTER SESSION SET parallel_ddl_mode = 'enabled';
ALTER SESSION SET optimizer_mode = 'all_rows';
ALTER SESSION SET sqlstat_enabled = false;
ALTER SESSION SET "_optimizer_percent_parallel" = 101;
ALTER SESSION SET "_always_anti_join" = 'choose';
ALTER SESSION SET "_always_semi_join" = 'choose';
ALTER SESSION SET "_optimizer_mode_force" = true;
ALTER SESSION SET "_partition_view_enabled" = true;
ALTER SESSION SET "_always_star_transformation" = false;
ALTER SESSION SET "_query_rewrite_or_error" = false;
ALTER SESSION SET "_hash_join_enabled" = true;
ALTER SESSION SET cursor_sharing = 'exact';
ALTER SESSION SET "_b_tree_bitmap_plans" = true;
ALTER SESSION SET star_transformation_enabled = false;
ALTER SESSION SET "_optimizer_cost_model" = 'choose';
ALTER SESSION SET "_new_sort_cost_estimate" = true;
ALTER SESSION SET "_complex_view_merging" = true;
ALTER SESSION SET "_unnest_subquery" = true;
ALTER SESSION SET "_eliminate_common_subexpr" = true;
ALTER SESSION SET "_pred_move_around" = true;
ALTER SESSION SET "_convert_set_to_join" = false;
ALTER SESSION SET "_push_join_predicate" = true;
ALTER SESSION SET "_push_join_union_view" = true;
ALTER SESSION SET "_fast_full_scan_enabled" = true;
ALTER SESSION SET "_optim_enhance_nnull_detection" = true;
ALTER SESSION SET "_parallel_broadcast_enabled" = true;
ALTER SESSION SET "_px_broadcast_fudge_factor" = 100;
ALTER SESSION SET "_ordered_nested_loop" = true;
ALTER SESSION SET "_no_or_expansion" = false;
ALTER SESSION SET optimizer_index_cost_adj = 100;
ALTER SESSION SET optimizer_index_caching = 0;
ALTER SESSION SET "_system_index_caching" = 0;
ALTER SESSION SET "_disable_datalayer_sampling" = false;
ALTER SESSION SET query_rewrite_enabled = true;
ALTER SESSION SET query_rewrite_integrity = 'enforced';
ALTER SESSION SET "_query_cost_rewrite" = true;
ALTER SESSION SET "_query_rewrite_2" = true;
ALTER SESSION SET "_query_rewrite_1" = true;
ALTER SESSION SET "_query_rewrite_expression" = true;
ALTER SESSION SET "_query_rewrite_jgmigrate" = true;
ALTER SESSION SET "_query_rewrite_fpc" = true;
ALTER SESSION SET "_query_rewrite_drj" = true;
ALTER SESSION SET "_full_pwise_join_enabled" = true;
ALTER SESSION SET "_partial_pwise_join_enabled" = true;
ALTER SESSION SET "_left_nested_loops_random" = true;
ALTER SESSION SET "_improved_row_length_enabled" = true;
ALTER SESSION SET "_index_join_enabled" = true;
ALTER SESSION SET "_enable_type_dep_selectivity" = true;
ALTER SESSION SET "_improved_outerjoin_card" = true;
ALTER SESSION SET "_optimizer_adjust_for_nulls" = true;
ALTER SESSION SET "_optimizer_degree" = 0;
ALTER SESSION SET "_use_column_stats_for_function" = true;
ALTER SESSION SET "_subquery_pruning_enabled" = true;
ALTER SESSION SET "_subquery_pruning_mv_enabled" = false;
ALTER SESSION SET "_or_expand_nvl_predicate" = true;
ALTER SESSION SET "_like_with_bind_as_equality" = false;
ALTER SESSION SET "_table_scan_cost_plus_one" = true;
ALTER SESSION SET "_cost_equality_semi_join" = true;
ALTER SESSION SET "_default_non_equality_sel_check" = true;
ALTER SESSION SET "_new_initial_join_orders" = true;
ALTER SESSION SET "_oneside_colstat_for_equijoins" = true;
ALTER SESSION SET "_optim_peek_user_binds" = true;
ALTER SESSION SET "_minimal_stats_aggregation" = true;
ALTER SESSION SET "_force_temptables_for_gsets" = false;
ALTER SESSION SET workarea_size_policy = 'auto';
ALTER SESSION SET "_smm_auto_cost_enabled" = true;
ALTER SESSION SET "_gs_anti_semi_join_allowed" = true;
ALTER SESSION SET "_optim_new_default_join_sel" = true;
ALTER SESSION SET optimizer_dynamic_sampling = 2;
ALTER SESSION SET "_pre_rewrite_push_pred" = true;
ALTER SESSION SET "_optimizer_new_join_card_computation" = true;
ALTER SESSION SET "_union_rewrite_for_gs" = 'yes_gset_mvs';
ALTER SESSION SET "_generalized_pruning_enabled" = true;
ALTER SESSION SET "_optim_adjust_for_part_skews" = true;
ALTER SESSION SET "_force_datefold_trunc" = false;
ALTER SESSION SET statistics_level = 'typical';
ALTER SESSION SET "_optimizer_system_stats_usage" = true;
ALTER SESSION SET skip_unusable_indexes = true;
ALTER SESSION SET "_remove_aggr_subquery" = true;
ALTER SESSION SET "_optimizer_push_down_distinct" = 0;
ALTER SESSION SET "_dml_monitoring_enabled" = true;
ALTER SESSION SET "_optimizer_undo_changes" = false;
ALTER SESSION SET "_predicate_elimination_enabled" = true;
ALTER SESSION SET "_nested_loop_fudge" = 100;
ALTER SESSION SET "_project_view_columns" = true;
ALTER SESSION SET "_local_communication_costing_enabled" = true;
ALTER SESSION SET "_local_communication_ratio" = 50;
ALTER SESSION SET "_query_rewrite_vop_cleanup" = true;
ALTER SESSION SET "_slave_mapping_enabled" = true;
ALTER SESSION SET "_optimizer_cost_based_transformation" = 'linear';
ALTER SESSION SET "_optimizer_mjc_enabled" = true;
ALTER SESSION SET "_right_outer_hash_enable" = true;
ALTER SESSION SET "_spr_push_pred_refspr" = true;
ALTER SESSION SET "_optimizer_cache_stats" = false;
ALTER SESSION SET "_optimizer_cbqt_factor" = 50;
ALTER SESSION SET "_optimizer_squ_bottomup" = true;
ALTER SESSION SET "_fic_area_size" = 131072;
ALTER SESSION SET "_optimizer_skip_scan_enabled" = true;
ALTER SESSION SET "_optimizer_cost_filter_pred" = false;
ALTER SESSION SET "_optimizer_sortmerge_join_enabled" = true;
ALTER SESSION SET "_optimizer_join_sel_sanity_check" = true;
ALTER SESSION SET "_mmv_query_rewrite_enabled" = true;
ALTER SESSION SET "_bt_mmv_query_rewrite_enabled" = true;
ALTER SESSION SET "_add_stale_mv_to_dependency_list" = true;
ALTER SESSION SET "_distinct_view_unnesting" = false;
ALTER SESSION SET "_optimizer_dim_subq_join_sel" = true;
ALTER SESSION SET "_optimizer_disable_strans_sanity_checks" = 0;
ALTER SESSION SET "_optimizer_compute_index_stats" = true;
ALTER SESSION SET "_push_join_union_view2" = true;
ALTER SESSION SET "_optimizer_ignore_hints" = false;
ALTER SESSION SET "_optimizer_random_plan" = 0;
ALTER SESSION SET "_query_rewrite_setopgrw_enable" = true;
ALTER SESSION SET "_optimizer_correct_sq_selectivity" = true;
ALTER SESSION SET "_disable_function_based_index" = false;
ALTER SESSION SET "_optimizer_join_order_control" = 3;
ALTER SESSION SET "_optimizer_cartesian_enabled" = true;
ALTER SESSION SET "_optimizer_starplan_enabled" = true;
ALTER SESSION SET "_extended_pruning_enabled" = true;
ALTER SESSION SET "_optimizer_push_pred_cost_based" = true;
ALTER SESSION SET "_optimizer_null_aware_antijoin" = true;
ALTER SESSION SET "_optimizer_extend_jppd_view_types" = true;
ALTER SESSION SET "_sql_model_unfold_forloops" = 'run_time';
ALTER SESSION SET "_enable_dml_lock_escalation" = false;
ALTER SESSION SET "_bloom_filter_enabled" = true;
ALTER SESSION SET "_update_bji_ipdml_enabled" = 0;
ALTER SESSION SET "_optimizer_extended_cursor_sharing" = 'udo';
ALTER SESSION SET "_dm_max_shared_pool_pct" = 1;
ALTER SESSION SET "_optimizer_cost_hjsmj_multimatch" = true;
ALTER SESSION SET "_optimizer_transitivity_retain" = true;
ALTER SESSION SET "_px_pwg_enabled" = true;
ALTER SESSION SET optimizer_secure_view_merging = true;
ALTER SESSION SET "_optimizer_join_elimination_enabled" = true;
ALTER SESSION SET flashback_table_rpi = 'non_fbt';
ALTER SESSION SET "_optimizer_cbqt_no_size_restriction" = true;
ALTER SESSION SET "_optimizer_enhanced_filter_push" = true;
ALTER SESSION SET "_optimizer_filter_pred_pullup" = true;
ALTER SESSION SET "_rowsrc_trace_level" = 0;
ALTER SESSION SET "_simple_view_merging" = true;
ALTER SESSION SET "_optimizer_rownum_pred_based_fkr" = true;
ALTER SESSION SET "_optimizer_better_inlist_costing" = 'all';
ALTER SESSION SET "_optimizer_self_induced_cache_cost" = false;
ALTER SESSION SET "_optimizer_min_cache_blocks" = 10;
ALTER SESSION SET "_optimizer_or_expansion" = 'depth';
ALTER SESSION SET "_optimizer_order_by_elimination_enabled" = true;
ALTER SESSION SET "_optimizer_outer_to_anti_enabled" = true;
ALTER SESSION SET "_selfjoin_mv_duplicates" = true;
ALTER SESSION SET "_dimension_skip_null" = true;
ALTER SESSION SET "_force_rewrite_enable" = false;
ALTER SESSION SET "_optimizer_star_tran_in_with_clause" = true;
ALTER SESSION SET "_optimizer_complex_pred_selectivity" = true;
ALTER SESSION SET "_optimizer_connect_by_cost_based" = true;
ALTER SESSION SET "_gby_hash_aggregation_enabled" = true;
ALTER SESSION SET "_globalindex_pnum_filter_enabled" = true;
ALTER SESSION SET "_px_minus_intersect" = true;
ALTER SESSION SET "_fix_control_key" = 0;
ALTER SESSION SET "_force_slave_mapping_intra_part_loads" = false;
ALTER SESSION SET "_force_tmp_segment_loads" = false;
ALTER SESSION SET "_query_mmvrewrite_maxpreds" = 10;
ALTER SESSION SET "_query_mmvrewrite_maxintervals" = 5;
ALTER SESSION SET "_query_mmvrewrite_maxinlists" = 5;
ALTER SESSION SET "_query_mmvrewrite_maxdmaps" = 10;
ALTER SESSION SET "_query_mmvrewrite_maxcmaps" = 20;
ALTER SESSION SET "_query_mmvrewrite_maxregperm" = 512;
ALTER SESSION SET "_query_mmvrewrite_maxmergedcmaps" = 50;
ALTER SESSION SET "_query_mmvrewrite_maxqryinlistvals" = 500;
ALTER SESSION SET "_disable_parallel_conventional_load" = false;
ALTER SESSION SET "_trace_virtual_columns" = false;
ALTER SESSION SET "_replace_virtual_columns" = true;
ALTER SESSION SET "_virtual_column_overload_allowed" = true;
ALTER SESSION SET "_kdt_buffering" = true;
ALTER SESSION SET "_first_k_rows_dynamic_proration" = true;
ALTER SESSION SET "_optimizer_sortmerge_join_inequality" = true;
ALTER SESSION SET "_aw_row_source_enabled" = true;
ALTER SESSION SET "_optimizer_aw_stats_enabled" = true;
ALTER SESSION SET "_bloom_pruning_enabled" = true;
ALTER SESSION SET result_cache_mode = 'MANUAL';
ALTER SESSION SET "_px_ual_serial_input" = true;
ALTER SESSION SET "_optimizer_skip_scan_guess" = false;
ALTER SESSION SET "_enable_row_shipping" = true;
ALTER SESSION SET "_row_shipping_threshold" = 80;
ALTER SESSION SET "_row_shipping_explain" = false;
ALTER SESSION SET transaction_isolation_level = 'read_commited';
ALTER SESSION SET "_optimizer_distinct_elimination" = true;
ALTER SESSION SET "_optimizer_multi_level_push_pred" = true;
ALTER SESSION SET "_optimizer_group_by_placement" = true;
ALTER SESSION SET "_optimizer_rownum_bind_default" = 10;
ALTER SESSION SET "_enable_query_rewrite_on_remote_objs" = true;
ALTER SESSION SET "_optimizer_extended_cursor_sharing_rel" = 'simple';
ALTER SESSION SET "_optimizer_adaptive_cursor_sharing" = true;
ALTER SESSION SET "_direct_path_insert_features" = 0;
ALTER SESSION SET "_optimizer_improve_selectivity" = true;
ALTER SESSION SET optimizer_use_pending_statistics = false;
ALTER SESSION SET "_optimizer_enable_density_improvements" = true;
ALTER SESSION SET "_optimizer_aw_join_push_enabled" = true;
ALTER SESSION SET "_optimizer_connect_by_combine_sw" = true;
ALTER SESSION SET "_enable_pmo_ctas" = 0;
ALTER SESSION SET "_optimizer_native_full_outer_join" = 'force';
ALTER SESSION SET "_bloom_predicate_enabled" = false;
ALTER SESSION SET "_optimizer_enable_extended_stats" = true;
ALTER SESSION SET "_is_lock_table_for_ddl_wait_lock" = 0;
ALTER SESSION SET "_pivot_implementation_method" = 'choose';
ALTER SESSION SET optimizer_capture_sql_plan_baselines = false;
ALTER SESSION SET optimizer_use_sql_plan_baselines = true;
ALTER SESSION SET "_optimizer_star_trans_min_cost" = 0;
ALTER SESSION SET "_optimizer_star_trans_min_ratio" = 0;
ALTER SESSION SET "_with_subquery" = 'OPTIMIZER';
ALTER SESSION SET "_optimizer_fkr_index_cost_bias" = 10;
ALTER SESSION SET "_optimizer_use_subheap" = true;
ALTER SESSION SET "_parallel_policy" = 'manual';
ALTER SESSION SET parallel_degree = 0;
ALTER SESSION SET "_parallel_time_threshold" = 10;
ALTER SESSION SET "_parallel_time_unit" = 10;
ALTER SESSION SET "_optimizer_or_expansion_subheap" = true;
ALTER SESSION SET "_optimizer_free_transformation_heap" = true;
ALTER SESSION SET "_optimizer_reuse_cost_annotations" = true;
ALTER SESSION SET "_result_cache_auto_size_threshold" = 100;
ALTER SESSION SET "_result_cache_auto_time_threshold" = 1000;
ALTER SESSION SET "_optimizer_nested_rollup_for_gset" = 100;
ALTER SESSION SET "_nlj_batching_enabled" = 1;
ALTER SESSION SET parallel_query_default_dop = 0;
ALTER SESSION SET is_recur_flags = 0;
ALTER SESSION SET optimizer_use_invisible_indexes = false;
ALTER SESSION SET flashback_data_archive_internal_cursor = 0;
ALTER SESSION SET "_optimizer_extended_stats_usage_control" = 240;

-- Bug Fix Control Environment

-- Lift restriction on unnest subquery with a view
ALTER SESSION SET "_fix_control" = '3834770:1';

-- do not combine predicates from LNNVL
ALTER SESSION SET "_fix_control" = '3746511:ON';

-- Pick view card from view qb instead of parent qb
ALTER SESSION SET "_fix_control" = '4519016:ON';

-- Check for obj# for named view estimated card
ALTER SESSION SET "_fix_control" = '3118776:ON';

-- ignore IS NOT NULL predicate as an index filter
ALTER SESSION SET "_fix_control" = '4488689:ON';

-- disable push predicate driven by functional index into partition
ALTER SESSION SET "_fix_control" = '2194204:OFF';

-- do not trigger bitmap plans if no protential domain index driver
ALTER SESSION SET "_fix_control" = '2660592:ON';

-- push into table with RLS
ALTER SESSION SET "_fix_control" = '2320291:ON';

-- add(remove) cluster index for push view
ALTER SESSION SET "_fix_control" = '2324795:ON';

-- outer query must have more than one table unless lateral view
ALTER SESSION SET "_fix_control" = '4308414:ON';

-- enable tiny index improvements: consider small indexes as cachhe
ALTER SESSION SET "_fix_control" = '3499674:OFF';

-- Use index heuristic for join pred being pushed
ALTER SESSION SET "_fix_control" = '4569940:ON';

-- Refine criteria for additional phase in JPPD
ALTER SESSION SET "_fix_control" = '4631959:ON';

-- Generate distinct view in SU if candidate for JPPD
ALTER SESSION SET "_fix_control" = '4519340:ON';

-- do not consider no sel predicates in join selectivity sanity
ALTER SESSION SET "_fix_control" = '4550003:ON';

-- CBO do not count 0 rows partitions
ALTER SESSION SET "_fix_control" = '1403283:ON';

-- tbl$or$idx$part$num() predicate causing peformance problems
ALTER SESSION SET "_fix_control" = '4554846:ON';

-- optimize top-level predicate chain
ALTER SESSION SET "_fix_control" = '4602374:ON';

-- do not disable cartesian products if ORDERED hint is used
ALTER SESSION SET "_fix_control" = '4584065:ON';

-- no selectivity for transitive inequality predicates
ALTER SESSION SET "_fix_control" = '4545833:ON';

-- do not clobber predicate during first-k row estimate phase
ALTER SESSION SET "_fix_control" = '4611850:ON';

-- for cached NL table set tab_cost_io to zero
ALTER SESSION SET "_fix_control" = '4663698:ON';

-- use smallest table as first table in join card. initial ordering
ALTER SESSION SET "_fix_control" = '4663804:ON';

-- consider subqueries for pruning only from optimizer-refined set
ALTER SESSION SET "_fix_control" = '4666174:ON';

-- do not re-evaluate density on rowcache reload
ALTER SESSION SET "_fix_control" = '4567767:ON';

-- min # of join permutations for starting table, new initial order
ALTER SESSION SET "_fix_control" = '4556762:15';

-- consider mjc if equi-joined pred is dropped in kkoipt
ALTER SESSION SET "_fix_control" = '4728348:ON';

-- Use inner table and index DOP for costing NL join
ALTER SESSION SET "_fix_control" = '4708389:ON';

-- generate transitive predicates across anti join predicates
ALTER SESSION SET "_fix_control" = '4175830:ON';

-- treat ansi char constant as varchar2 if operator is not ANSI
ALTER SESSION SET "_fix_control" = '4752814:ON';

-- enable common expr elimination, pred move around 4 insert stmt
ALTER SESSION SET "_fix_control" = '4583239:ON';

-- f()=f() => f() is not null, selectivity for f() is not null
ALTER SESSION SET "_fix_control" = '4386734:ON';

-- remove restriction from first K row optimization
ALTER SESSION SET "_fix_control" = '4887636:ON';

-- Favor unique index in case of cost tie
ALTER SESSION SET "_fix_control" = '4483240:ON';

-- Disable unnesting of SQ under certain conditions
ALTER SESSION SET "_fix_control" = '4872602:OFF';

-- Enable code optimization for bitmap access path
ALTER SESSION SET "_fix_control" = '4711525:ON';

-- Adjust inner card for post filters for outer joins
ALTER SESSION SET "_fix_control" = '4545802:ON';

-- apafio - do not set DONE if the matching failed
ALTER SESSION SET "_fix_control" = '4605810:ON';

-- Fix histogram type determination macro
ALTER SESSION SET "_fix_control" = '4704779:ON';

-- Only use relevant check constraints for transitive pred. generat
ALTER SESSION SET "_fix_control" = '4900129:ON';

-- Allow secure view merging if outside of view is zero-argument
ALTER SESSION SET "_fix_control" = '4924149:ON';

-- Use base NDV instead of scaled NDV when computing index selectiv
ALTER SESSION SET "_fix_control" = '4663702:ON';

-- FKR: also prorate index ABK (avg blocks per key)
ALTER SESSION SET "_fix_control" = '4878299:ON';

-- do not push predicates into deeply nested predicate trees
ALTER SESSION SET "_fix_control" = '4658342:ON';

-- Limit # of slave groups to DOP
ALTER SESSION SET "_fix_control" = '4881533:ON';

-- kkojcio: Get view card using kkotbS not kkotbC
ALTER SESSION SET "_fix_control" = '4676955:ON';

-- convert range scan to unique access if possible
ALTER SESSION SET "_fix_control" = '4273361:ON';

-- outer join table elimination
ALTER SESSION SET "_fix_control" = '4967068:ON';

-- upgrade to row-read access instead of row-write
ALTER SESSION SET "_fix_control" = '4969880:OFF';

-- remove null first element from multicolumn inlist if possible
ALTER SESSION SET "_fix_control" = '5005866:ON';

-- add new predicate to the VC-EXPR mapping
ALTER SESSION SET "_fix_control" = '5015557:ON';

-- Relax view merging security checks for SYS PL/SQL functions
ALTER SESSION SET "_fix_control" = '4705343:ON';

-- allow index skip scan with no index keys
ALTER SESSION SET "_fix_control" = '4904838:ON';

-- Relax view merging security checks for domain indexes
ALTER SESSION SET "_fix_control" = '4716096:ON';

-- Discount FFS cost using optimizer_index_cost_adj.
ALTER SESSION SET "_fix_control" = '4483286:OFF';

-- kkoidc: add SI caching for index branch blocks
ALTER SESSION SET "_fix_control" = '4722900:ON';

-- ANSI syntax prevents table elimination
ALTER SESSION SET "_fix_control" = '4615392:ON';

-- use sql text from qbcqutxt for reparse
ALTER SESSION SET "_fix_control" = '5096560:ON';

-- inline view in a stored view
ALTER SESSION SET "_fix_control" = '5029464:ON';

-- multiple signatures for selectivity func
ALTER SESSION SET "_fix_control" = '4134994:ON';

-- do not copy kcc of columns in non-view side of a JPPD
ALTER SESSION SET "_fix_control" = '4904890:ON';

-- multiple signatures for selectivity func
ALTER SESSION SET "_fix_control" = '5104624:ON';

-- Enable CBQT for INSERT statements
ALTER SESSION SET "_fix_control" = '5014836:ON';

-- Enable CBQT for CTAS statements
ALTER SESSION SET "_fix_control" = '4768040:ON';

-- Cost inlists as index filters as well as keys
ALTER SESSION SET "_fix_control" = '4600710:ON';

-- peek at any foldable exprssion during pruning
ALTER SESSION SET "_fix_control" = '5129233:ON';

-- skip internal ref columns for index only check for update/delete
ALTER SESSION SET "_fix_control" = '4595987:ON';

-- Enable star plan for 2 column part pruning index
ALTER SESSION SET "_fix_control" = '4908162:ON';

-- kkoDMcos: For PWJ on list dimension, use part/subpart bits
ALTER SESSION SET "_fix_control" = '5139520:ON';

-- try for subqueries before forcing in star trans with FACT hint
ALTER SESSION SET "_fix_control" = '5084239:ON';

-- disable the fix for the bug # 5011764
ALTER SESSION SET "_fix_control" = '5143477:OFF';

-- Use extended index caching discount
ALTER SESSION SET "_fix_control" = '2663857:ON';

-- avoid semantically redundant predicates to be used
ALTER SESSION SET "_fix_control" = '4717546:ON';

-- Share single copy of coldef within an expression
ALTER SESSION SET "_fix_control" = '5240264:ON';

-- Consider subquery pruning using view containing single table pre
ALTER SESSION SET "_fix_control" = '5099909:ON';

-- avoid NL with fts on right side in fkr mode
ALTER SESSION SET "_fix_control" = '5240607:ON';

-- Enhance view merging security checks for PL/SQL functions
ALTER SESSION SET "_fix_control" = '5195882:ON';

-- Allow predicate push for predicates that partition prune
ALTER SESSION SET "_fix_control" = '5220356:ON';

-- correct selectivity of col LIKE func(:b1)
ALTER SESSION SET "_fix_control" = '5263572:ON';

-- Remove restrictions on unsupported view structures for JPPD
ALTER SESSION SET "_fix_control" = '5385629:ON';

-- Allow CBQT for queries with window functions
ALTER SESSION SET "_fix_control" = '5302124:ON';

-- Favor rowid= over any other access path regardless of statistics
ALTER SESSION SET "_fix_control" = '5391942:ON';

-- Add heuristic for group-by placement
ALTER SESSION SET "_fix_control" = '5384335:ON';

-- discount for partitioned range scan in fkr mode
ALTER SESSION SET "_fix_control" = '5482831:ON';

-- SQ to view transform - remove dual from qbcfro
ALTER SESSION SET "_fix_control" = '4158812:ON';

-- Propagate interleaved CVM flag from CBQT analysis
ALTER SESSION SET "_fix_control" = '5387148:ON';

-- Limit join permutations considered to 2000 for star plans
ALTER SESSION SET "_fix_control" = '5383891:ON';

-- Do colocate join if columns in fro->frojand are on the same node
ALTER SESSION SET "_fix_control" = '5466973:ON';

-- Lift restriction on semi-join elimination
ALTER SESSION SET "_fix_control" = '5396162:ON';

-- don't over-write prorated cardinalities on switch to Amode plan
ALTER SESSION SET "_fix_control" = '5394888:ON';

-- prefer index access when joining first non 1-row table in K mode
ALTER SESSION SET "_fix_control" = '5395291:ON';

-- Allow _optimizer_index_caching to affect IOT primary keys
ALTER SESSION SET "_fix_control" = '5236908:ON';

-- Relax semi/antijoin restrictions with remote tables
ALTER SESSION SET "_fix_control" = '5509293:ON';

-- In bitmap costing use real sel for transitive negated predicates
ALTER SESSION SET "_fix_control" = '5449488:ON';

-- no view with having for group-by placement
ALTER SESSION SET "_fix_control" = '5567933:ON';

-- ignore KKOIXMSU flag and match index filter preds with index key
ALTER SESSION SET "_fix_control" = '5570494:ON';

-- also try for sort eliminating index with maximum columns
ALTER SESSION SET "_fix_control" = '5288623:ON';

-- Consider pushing into each of two views sharing join predicate
ALTER SESSION SET "_fix_control" = '5505995:ON';

-- relax type matching in pre-rewrite transitive predicate generati
ALTER SESSION SET "_fix_control" = '5505157:ON';

-- Make table elimination independent of CVM
ALTER SESSION SET "_fix_control" = '5112460:ON';

-- Allow inner join table elimination on unique col
ALTER SESSION SET "_fix_control" = '5554865:ON';

-- semi join table elimination
ALTER SESSION SET "_fix_control" = '5112260:ON';

-- anti join table elimination
ALTER SESSION SET "_fix_control" = '5112352:ON';

-- Promote column min/max values in OJPPD for UNION [ALL] views
ALTER SESSION SET "_fix_control" = '5547058:ON';

-- amend costing for index use to avoid sort with old FIRST_ROWS
ALTER SESSION SET "_fix_control" = '5618040:ON';

-- enable index prefetching for NLJ with unique scan as inner acces
ALTER SESSION SET "_fix_control" = '5585313:ON';

-- controls generating transitive predicates in presence of UDFs
ALTER SESSION SET "_fix_control" = '5547895:ON';

-- Relax equality operator restrictions for multicolumn inlists
ALTER SESSION SET "_fix_control" = '5634346:ON';

-- do not push into UV if target table is outer joinded
ALTER SESSION SET "_fix_control" = '5620485:ON';

-- Use min repeat count in freq histogram to compute the density
ALTER SESSION SET "_fix_control" = '5483301:ON';

-- consider new alternate index to avoid ORDER BY sort
ALTER SESSION SET "_fix_control" = '5657044:ON';

-- scale index num distinct keys with Watkins func in first_rows(k)
ALTER SESSION SET "_fix_control" = '5694984:ON';

-- disallow CVM for top QB views for DELETE
ALTER SESSION SET "_fix_control" = '5868490:ON';

-- set correlation flag if outer col is set func
ALTER SESSION SET "_fix_control" = '5650477:ON';

-- use index keys as filters when considering index min/max
ALTER SESSION SET "_fix_control" = '5611962:ON';

-- Cache user-defined operator stats across transformations
ALTER SESSION SET "_fix_control" = '4279274:ON';

-- avoid zero selectivity for negated predicate
ALTER SESSION SET "_fix_control" = '5741121:ON';

-- set IO cost for index skip scan to at least 1.0
ALTER SESSION SET "_fix_control" = '5714944:ON';

-- add subheap for physical optimization
ALTER SESSION SET "_fix_control" = '5391505:ON';

-- improve selectivity for character strings of numeric data
ALTER SESSION SET "_fix_control" = '5762598:ON';

-- do not discount branch io cost if inner table io cost is already
ALTER SESSION SET "_fix_control" = '5578791:ON';

-- undo unused inlist
ALTER SESSION SET "_fix_control" = '5259048:ON';

-- Avoid unnecessary column stats load for partitioned tables
ALTER SESSION SET "_fix_control" = '5882954:ON';

-- use OR'ed predicates in index filter
ALTER SESSION SET "_fix_control" = '2492766:ON';

-- do not load statistics for non access partitions
ALTER SESSION SET "_fix_control" = '5707608:ON';

-- no transitive generation across logical join check constraints
ALTER SESSION SET "_fix_control" = '5891471:ON';

-- consider list of values dimensions during star transformation
ALTER SESSION SET "_fix_control" = '5884780:ON';

-- adjust anti/semijoin index selectivity only if join preds as key
ALTER SESSION SET "_fix_control" = '5680702:ON';

-- put false predicate ahead in the predicate chain
ALTER SESSION SET "_fix_control" = '5371452:ON';

-- Sort tables for initial join order during star transformation
ALTER SESSION SET "_fix_control" = '5838613:ON';

-- amend selectivity for match of a single-row frequency bucket
ALTER SESSION SET "_fix_control" = '5949981:ON';

-- disable union all transformation if qbc does not have whr
ALTER SESSION SET "_fix_control" = '5624216:ON';

-- consider predicate with subquery when determine 1-row tables
ALTER SESSION SET "_fix_control" = '5741044:ON';

-- check dynamic sampling index selecticity for nested loops join
ALTER SESSION SET "_fix_control" = '5976822:ON';

-- merge single-table anti-joined view
ALTER SESSION SET "_fix_control" = '6006457:ON';

-- push constant filter predicates on PRIORs to connect by pump
ALTER SESSION SET "_fix_control" = '5872956:ON';

-- Enable outer to inner join conversion for inlist
ALTER SESSION SET "_fix_control" = '5923644:ON';

-- Change drop column, set unused to take X DML lock
ALTER SESSION SET "_fix_control" = '5943234:ON';

-- Eliminate group-by from [NOT] EXISTS subqueries
ALTER SESSION SET "_fix_control" = '5844495:ON';

-- Eliminate unneeded bitmap conversion
ALTER SESSION SET "_fix_control" = '4168080:ON';

-- Allow semi-join elimination with multi column operand
ALTER SESSION SET "_fix_control" = '6020579:ON';

-- compute avg col length for LONG RAW column
ALTER SESSION SET "_fix_control" = '5842686:OFF';

-- use subpartition-level statistics
ALTER SESSION SET "_fix_control" = '5996801:ON';

-- Push USERENV filter predicate into view
ALTER SESSION SET "_fix_control" = '5593639:ON';

-- allocate ckydef on the compilation heap
ALTER SESSION SET "_fix_control" = '6133948:ON';

-- Fix out-of-bound value in self induced caching
ALTER SESSION SET "_fix_control" = '6239909:ON';

/*************************************************************************************/
--  Customization - End
/*************************************************************************************/

SPO OFF;
