REM
REM $Header: trcanlzr.sql 2.3 2005/12/29 19:07 csierra $
REM
REM trcanlzr.sql
REM
REM Copyright (c) 2005, Oracle Corporation.  All rights reserved.
REM
REM    NAME
REM      trcanlzr.sql
REM
REM    DESCRIPTION
REM      Provide trace filename to be analyzed (case sensitive).
REM
REM    NOTES
REM      Execute on same instance and under same schema user that generated
REM      the raw SQL Trace being analyzed. If executed on a different instance
REM      or user, details as explain plans and I/O summaries are skipped.
REM
REM    EXAMPLE
REM      SQL> start trcanlzr.sql <trace filename to be analyzed>;
REM      SQL> start trcanlzr.sql vis_ora_14328_SYSADMIN.trc;
REM
REM    MODIFIED   (MM/DD/YY)
REM    csierra     12/29/05 - Created
REM
REM
SET BLO ON DEF ON ECHO OFF FEED OFF FLU OFF HEA OFF LIN 255 NEWP NONE PAGES 0 RECSEP OFF SERVEROUT ON SIZE 1000000 FOR TRU SHOW OFF SQLBL ON SQLC MIX TAB OFF TRIMS ON VER OFF;
REM
DEF input_filename = &1;
REM
PRO ...generating report
VAR v_output_filename VARCHAR2(100);
VAR v_trace_id NUMBER;
VAR v_offset NUMBER;
BEGIN
  trca$i.trace_analyzer (
    p_trace_filename        => '&&input_filename',
    p_output_filename       => NULL,
    p_top_sql_threshold     => NULL,
    p_top_exec_threshold    => NULL,
    p_io_time_threshold     => NULL,
    p_latch_time_threshold  => NULL,
    p_hot_block_threshold   => NULL,
    p_dec_digits_seconds    => NULL,
    p_force_data_expansion  => 'N',
    p_skip_waits            => 'N',
    p_skip_binds            => 'N',
    p_skip_explain_plans    => 'N',
    p_skip_count_star       => 'N',
    x_trace_id              => :v_trace_id,
    x_output_filename       => :v_output_filename );
END;
/
COL output_filename NOPRI NEW_V output_filename FOR A128;
SELECT SUBSTR(:v_output_filename, 1, INSTR(:v_output_filename||'.', '.') - 1) output_filename FROM DUAL;
REM
PRO ...copying report
SET TERM OFF;
REM each call to get_file can copy over up to 500000 bytes due to limitations on dbms_output.
REM with 40 calls the total output is maxed at 20MB.
SPO &&output_filename..html;
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => 0,         x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
EXEC trca$i.get_file(p_filename => :v_output_filename, p_offset => :v_offset, x_offset => :v_offset);
SPO OFF;
REM
SET TERM ON;
host copy &&output_filename..html  tra1.html
rem host iexplore.exe &&output_filename..html
PRO ...report "&&output_filename..html" has been copied into local directory
rem PRO ...exiting now (hit enter key)
rem ACC the_end;
QUIT;
REM
